*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

html, body{
  height: 100%;
  display: grid;
  place-items: center;
  background: linear-gradient(135deg, #1cc7d0, #2ede98);
}

.wrapper{
  width: 320px;
  height: 400px;
  position: absolute;            
  perspective: 1000px;
}
.flip-card{
  position: absolute;             
  inset: 0;                       
  border-radius: 10px;
  background: #fff;
  padding: 5px;
  transform-style: preserve-3d;
  backface-visibility: hidden;     
  transition: transform 0.7s cubic-bezier(0.4, 0.2, 0.2, 1);
}
.front-face img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}
.back-face{
  transform: rotateY(180deg);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}
.wrapper:hover .front-face{
  transform: rotateY(-180deg);
}

.wrapper:hover .back-face{
  transform: rotateY(0deg);
}

/* Foto circular do verso */
.back-face img{
  height: 150px;
  width: 150px;
  border-radius: 50%;
  padding: 5px;
  background: linear-gradient(135deg, #1cc7d0, #2ede98);
}
.social{
  display: flex;
  gap: 10px;
  list-style: none;
  padding: 0;
}

.social a{
  display: grid;
  place-items: center;
  height: 40px;
  width: 40px;
  background: linear-gradient(135deg, #1cc7d0, #2ede98);
  border: 2px solid transparent;
  border-radius: 50%;
  color: #fff;
  transition: 0.2s ease;
}

.social a:hover{
  background: transparent;
  color: #1cc7d0;
  border-color: #1cc7d0;
}
